### Method

# Dex FutureListModel dup_future

since: 1.1

#### Declaration [src]

    DexFuture*
    dex_future_list_model_dup_future (
      DexFutureListModel* self
    )

#### Description [src]

Gets the future provided when creating the list model.

Available since: 1.1

#### Return value

Type: `DexFuture`

A `DexFuture` that resolves to a `GListModel` or rejects with error.

The caller of the method takes ownership of the returned data, and is responsible for freeing it.